package com.yonge.cooleshow.bbs.dto.search;

import com.yonge.cooleshow.bbs.enums.ArticleEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-06-09 17:27:11
 */
@ApiModel(value = "BbsReplySearch对象", description = "文章评论查询对象")
public class BbsReplySearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "论坛登录用户id",hidden = true)
	private Long userId;

	@ApiModelProperty("评论审核状态 DOING :审核中，PASS:审核 通过，REJECT：拒绝")
	private ArticleEnum status;

	@ApiModelProperty(value = "文章id",hidden = true)
	private Long articleId;
	private Long parentId;

	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

	public Long getArticleId() {
		return articleId;
	}

	public void setArticleId(Long articleId) {
		this.articleId = articleId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public ArticleEnum getStatus() {
		return status;
	}

	public void setStatus(ArticleEnum status) {
		this.status = status;
	}
}